: Class AddressBook.DataModel

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.addressbook
Class AddressBook.DataModel

    java.lang.Object
      |
      +--javax.swing.table.AbstractTableModel
            |
            +--grendel.addressbook.AddressBook.DataModel

public class AddressBook.DataModel
extends javax.swing.table.AbstractTableModel

See Also:
  Serialized Form

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`AddressBook.DataModel(java.lang.String[] aNames)`

Method Summary
`java.lang.Class` | `getColumnClass(int col)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int column)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int row, int column)`
`boolean` | `isCellEditable(int row, int col)`
`void` | `reloadData(grendel.addressbook.AddressBook.DataSource ds, java.lang.String aSearchString)`
`void` | `setValueAt(java.lang.Object aValue, int row, int column)`
`void` | `sortData(int column, boolean sortascending)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressBook.DataModel

    public AddressBook.DataModel(java.lang.String[] aNames)

Method Detail

### getRowCount

    public int getRowCount()

  Overrides:
    getRowCount in class javax.swing.table.AbstractTableModel

### getColumnCount

    public int getColumnCount()

  Overrides:
    getColumnCount in class javax.swing.table.AbstractTableModel

### getColumnName

    public java.lang.String getColumnName(int column)

  Overrides:
    getColumnName in class javax.swing.table.AbstractTableModel

### getColumnClass

    public java.lang.Class getColumnClass(int col)

  Overrides:
    getColumnClass in class javax.swing.table.AbstractTableModel

### isCellEditable

    public boolean isCellEditable(int row,
                                  int col)

  Overrides:
    isCellEditable in class javax.swing.table.AbstractTableModel

### setValueAt

    public void setValueAt(java.lang.Object aValue,
                           int row,
                           int column)

  Overrides:
    setValueAt in class javax.swing.table.AbstractTableModel

### reloadData

    public void reloadData(grendel.addressbook.AddressBook.DataSource ds,
                           java.lang.String aSearchString)

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int column)

  Overrides:
    getValueAt in class javax.swing.table.AbstractTableModel

### sortData

    public void sortData(int column,
                         boolean sortascending)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD